const { encrypt } = require('../helpers/encrypt');
const connection = require('./config');

const post_login = async ({ email, password }) => {
    if (password) {
        const password_encrypt = encrypt(password);

        return await connection.oneOrNone('SELECT * FROM academico.func_tma_login_obtener ( $1, $2 );', [email, password_encrypt]);
    } else {
        return await connection.oneOrNone('SELECT * FROM academico.func_tma_login_obtener ( $1 );', [email]);
    }
};

const get_account = async ({ documento }) => {
    return await connection.oneOrNone('SELECT * FROM academico.func_tma_cuenta_obtener ( $1 );', [documento]);
};

module.exports = {
    post_login,
    get_account
};